Quantcast

Jogl Runtime Error Linux 64-bit

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Jogl Runtime Error Linux 64-bit

Sykan
Basically I built a small graphics program in JOGL on October 10, 2012 and me keeping up with the updates it seems I am no longer able to run the same program that i created. I included the pacman.log in my git repo under log along with the program and a small script to compile and run the program if you want to try it out yourself and see if you are getting the same error. What I am getting at the moment is the app starts up but the console just spits out "OpenGL Error:" with no description. I tried downgrading some of my drivers with no luck (As you can see in the log). Any help or expertise would be great! Thanks!
Few more details:
- I'm Running this on My Lenovo Tablet X220
- and i'm using openjdk6 6.b24_1.11.5-1
(Source Files only include libs for Linux X64)
Source: https://github.com/Thesykan/Playgroud
and yes I'm aware that I spelled playground wrong
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Jogl Runtime Error Linux 64-bit

Sven Gothel
Administrator
On 10/23/2012 06:38 PM, Sykan [via jogamp] wrote:

> Basically I built a small graphics program in JOGL on October 10, 2012 and me
> keeping up with the updates it seems I am no longer able to run the same
> program that i created. I included the pacman.log in my git repo under log
> along with the program and a small script to compile and run the program if
> you want to try it out yourself and see if you are getting the same error.
> What I am getting at the moment is the app starts up but the console just
> spits out "OpenGL Error:" with no description. I tried downgrading some of my
> drivers with no luck (As you can see in the log). Any help or expertise would
> be great! Thanks!
> Few more details:
> - I'm Running this on My Lenovo Tablet X220
> - and i'm using openjdk6 6.b24_1.11.5-1
Pls read wiki/faq/bugreport - i.e. GPU and OS details are missing.

> (Source Files only include libs for Linux X64)
> Source: https://github.com/Thesykan/Playgroud

Nevertheless, since I hear pacman (where is the log file?)
I am curious, me old fan of old arcade games :)

Do you mind to put up an applet version (NApplet)
when we fixed it ?

~Sven



signature.asc (907 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Jogl Runtime Error Linux 64-bit

Sven Gothel
Administrator
In reply to this post by Sykan
On 10/23/2012 07:16 PM, Sven Gothel wrote:

> On 10/23/2012 06:38 PM, Sykan [via jogamp] wrote:
>> Basically I built a small graphics program in JOGL on October 10, 2012 and me
>> keeping up with the updates it seems I am no longer able to run the same
>> program that i created. I included the pacman.log in my git repo under log
>> along with the program and a small script to compile and run the program if
>> you want to try it out yourself and see if you are getting the same error.
>> What I am getting at the moment is the app starts up but the console just
>> spits out "OpenGL Error:" with no description. I tried downgrading some of my
>> drivers with no luck (As you can see in the log). Any help or expertise would
>> be great! Thanks!
>> Few more details:
>> - I'm Running this on My Lenovo Tablet X220
>> - and i'm using openjdk6 6.b24_1.11.5-1
>
> Pls read wiki/faq/bugreport - i.e. GPU and OS details are missing.
>
>> (Source Files only include libs for Linux X64)
>> Source: https://github.com/Thesykan/Playgroud
>
> Nevertheless, since I hear pacman (where is the log file?)
> I am curious, me old fan of old arcade games :)
Ok, you meant the package manager :)

I have attached a cleanup diff, to show you how easy you
can use jogamp nowadays, i.e. w/o native library path.
(Don't add the native JARs either in CLASSPATH)

Works here, probably a 'funny' Mesa version.
At least I see a rotating swing in the dark.

~Sven

>
> Do you mind to put up an applet version (NApplet)
> when we fixed it ?
>
> ~Sven
>
>


--
health & wealth
mailto:[hidden email] ; http://jausoft.com
land : +49 (471) 4707742 ; fax : +49 (471) 4707741
Timezone CET: PST+9, EST+6, UTC+1

cleanup-libs.diff (2K) Download Attachment
signature.asc (907 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Jogl Runtime Error Linux 64-bit

Sykan
Yes, pacman manager sorry for the confusion. Thanks for the tips I removed the natives from the classpath and the library path on my local repo but i'm still have the same runtime errors. As for making an applet, It's definitely not very pretty but I am not sure how to make the applet version yet, I've only been running it via the jvm environment.  

I'm Running these Mesa Libraries:

local/intel-dri 9.0-1
    Mesa DRI drivers for Intel
local/libgl 9.0-1
    Mesa 3-D graphics library and DRI software rasterizer
local/libglapi 9.0-1
    free implementation of the GL API -- shared library. The Mesa GL API module is
    responsible for dispatching all the gl* functions
local/libgles 9.0-1
    Mesa GLES libraries and headers
local/mesa 9.0-1
    Mesa 3-D graphics libraries and include files

Such I try to downgrade to older versions?

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Jogl Runtime Error Linux 64-bit

Sykan
Looks like i'm not the only one.. seems like an Xserver problem

https://bugs.archlinux.org/task/31956
Loading...